Package net.md_5.bungee.protocol.packet

# Class BossBar

java.lang.Object
net.md_5.bungee.protocol.DefinedPacket
net.md_5.bungee.protocol.packet.BossBar

public class BossBar extends DefinedPacket

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BossBar()`
  `BossBar(UUID uuid, int action)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `int`
  `getAction()`
  `int`
  `getColor()`
  `int`
  `getDivision()`
  `byte`
  `getFlags()`
  `float`
  `getHealth()`
  `net.md_5.bungee.api.chat.BaseComponent`
  `getTitle()`
  `UUID`
  `getUuid()`
  `void`
  `handle(AbstractPacketHandler handler)`
  `int`
  `hashCode()`
  `void`
  `read(io.netty.buffer.ByteBuf buf, ProtocolConstants.Direction direction, int protocolVersion)`
  `void`
  `setAction(int action)`
  `void`
  `setColor(int color)`
  `void`
  `setDivision(int division)`
  `void`
  `setFlags(byte flags)`
  `void`
  `setHealth(float health)`
  `void`
  `setTitle(net.md_5.bungee.api.chat.BaseComponent title)`
  `void`
  `setUuid(UUID uuid)`
  `String`
  `toString()`
  `void`
  `write(io.netty.buffer.ByteBuf buf, ProtocolConstants.Direction direction, int protocolVersion)`

  ### Methods inherited from class net.md_5.bungee.protocol.DefinedPacket

  `nextProtocol, read, read, readArray, readArray, readBaseComponent, readBaseComponent, readComponentStyle, readEitherBaseComponent, readEnumSet, readFixedBitSet, readLengthPrefixed, readNullable, readNumberFormat, readProperties, readPublicKey, readString, readString, readStringArray, readStringMapKey, readTag, readTag, readUUID, readVarInt, readVarInt, readVarIntArray, readVarShort, setVarInt, toArray, write, write, writeArray, writeBaseComponent, writeComponentStyle, writeEitherBaseComponent, writeEnumSet, writeFixedBitSet, writeLengthPrefixed, writeNullable, writeNumberFormat, writeProperties, writePublicKey, writeString, writeString, writeStringArray, writeTag, writeUUID, writeVarInt, writeVarShort`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BossBar

    public BossBar(UUID uuid, int action)

  - ### BossBar

    public BossBar()

- ## Method Details

  - ### read

    public void read(io.netty.buffer.ByteBuf buf, ProtocolConstants.Direction direction, int protocolVersion)
    Overrides:
      `read` in class `DefinedPacket`

  - ### write

    public void write(io.netty.buffer.ByteBuf buf, ProtocolConstants.Direction direction, int protocolVersion)
    Overrides:
      `write` in class `DefinedPacket`

  - ### handle

    public void handle(AbstractPacketHandler handler) throws Exception
    Specified by:
      `handle` in class `DefinedPacket`
    Throws:
      `Exception`

  - ### getUuid

    public UUID getUuid()

  - ### getAction

    public int getAction()

  - ### getTitle

    public net.md_5.bungee.api.chat.BaseComponent getTitle()

  - ### getHealth

    public float getHealth()

  - ### getColor

    public int getColor()

  - ### getDivision

    public int getDivision()

  - ### getFlags

    public byte getFlags()

  - ### setUuid

    public void setUuid(UUID uuid)

  - ### setAction

    public void setAction(int action)

  - ### setTitle

    public void setTitle(net.md_5.bungee.api.chat.BaseComponent title)

  - ### setHealth

    public void setHealth(float health)

  - ### setColor

    public void setColor(int color)

  - ### setDivision

    public void setDivision(int division)

  - ### setFlags

    public void setFlags(byte flags)

  - ### toString

    public String toString()
    Specified by:
      `toString` in class `DefinedPacket`

  - ### equals

    public boolean equals(Object o)
    Specified by:
      `equals` in class `DefinedPacket`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in class `DefinedPacket`